HTTP API
ECS Schema
GET/api/v1/ecs/schemas
Authorization
bearer_token AuthorizationBearer <token>
In: header
Query Parameters
component_type?string
limit?integer
Format
int32Range
0 <= valueoffset?integer
Format
int32Range
0 <= valueResponse Body
application/json
curl -X GET "https://example.com/api/v1/ecs/schemas"{ "schemas": [ { "component_type": "string", "schema_id": "string", "version": 0 } ], "total": 0}POST/api/v1/ecs/schemas
Authorization
bearer_token AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/ecs/schemas" \ -H "Content-Type: application/json" \ -d '{ "component_type": "string", "schema": null, "version": 0 }'{ "component_type": "string", "created_at": "string", "dependencies": [ "string" ], "incompatible_with": [ "string" ], "metadata": null, "schema": null, "schema_id": "string", "version": 0}GET/api/v1/ecs/schemas/{component_type}
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
component_type*string
Query Parameters
version?integer
Format
int32Range
0 <= valueResponse Body
application/json
curl -X GET "https://example.com/api/v1/ecs/schemas/string"{ "component_type": "string", "created_at": "string", "dependencies": [ "string" ], "incompatible_with": [ "string" ], "metadata": null, "schema": null, "schema_id": "string", "version": 0}DELETE/api/v1/ecs/schemas/{component_type}/{version}
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
component_type*string
version*integer
Format
int32Range
0 <= valueResponse Body
curl -X DELETE "https://example.com/api/v1/ecs/schemas/string/0"Empty